Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RavenNuke(tm) v2.5x
Author Message
Raven
Site Admin/Owner


Joined: Aug 27, 2002
Posts: 17087

PostPosted: Sat Nov 25, 2017 5:38 pm Reply with quote

Wink
 
View user's profile Send private message
Doulos
Life Cycles Becoming CPU Cycles


Joined: Jun 06, 2005
Posts: 640

PostPosted: Sat Nov 25, 2017 10:57 pm Reply with quote

Now I just need to go through all my old custom modules, and blocks.
 
View user's profile Send private message
neralex
Site Admin


Joined: Aug 22, 2007
Posts: 1430

PostPosted: Sun Nov 26, 2017 3:39 am Reply with quote

I hope are working on a local environment to test it with your website. I can not close out that you will run into unknown issues.

_________________
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message
Doulos
PostPosted: Sun Nov 26, 2017 9:11 am Reply with quote

Yes, this is a local test site.
 
neralex
PostPosted: Sun Dec 03, 2017 9:48 am Reply with quote

New replacement detected, also added to the 1st post in this thread.

open modules/Content/var/fpdf.php

find:

php Code:
set_magic_quotes_runtime(0);

replace it with:

php Code:
@ini_set('magic_quotes_runtime', 0);


find:

php Code:
set_magic_quotes_runtime($mqr);

replace it with:

php Code:
@ini_set('magic_quotes_runtime', $mqr);



open modules/News/printpdf.php

find:

php Code:
$pdf->Output('articles'.$sid.'.pdf', 'I');

add before:

php Code:
ob_end_clean();
 
neralex
PostPosted: Sun Dec 03, 2017 10:32 am Reply with quote

I prepared an installation package with all made changes and the replacement of the FCK editor to the latest version of the CK editor from NukeSEO.

I need people to test it on a local environment like WAMP, Ampps or Xampp with php7, enabled error-reporting and mysql 5.6x. If someone interested to help me to find more issues, then let me know and I will share the compressed archive.
 
Doulos
PostPosted: Sun Dec 03, 2017 5:29 pm Reply with quote

I will test.
 
neralex
PostPosted: Sun Dec 03, 2017 11:39 pm Reply with quote

Doulos, PM sent. In my package the config.php and rnconfig.php the php/mysql error-reporting is enabled. Thanks.
 
neralex
PostPosted: Thu Dec 07, 2017 12:43 pm Reply with quote

Some fixes added for warnings caused by deprecated function names of class constructors in the Comments module. Its also added in the big post with the other class constructor warnings: Only registered users can see links on this board! Get registered or login!.

Open /modules/Comments/Combo.php

find:

php Code:
function RNComm_Combo(

replace it with:

php Code:
function __construct(


-----------------------

Open /modules/Comments/FormBase.php

find:

php Code:
function RNComm_FormBase(

replace it with:

php Code:
function __construct(


-----------------------

Open /modules/Comments/FormFactory.php

find:

php Code:
function RNComm_FormFactory(

replace it with:

php Code:
function __construct(


-----------------------

Open /modules/Comments/ForumsForm.php

find:

php Code:
function ForumsForm(

replace it with:

php Code:
function __construct(


find:

php Code:
parent::RNComm_FormBase(

replace it with:

php Code:
parent::__construct(


-----------------------

Open /modules/Comments/HtmlList.php

find:

php Code:
functionRNComm_HtmlList(

replace it with:

php Code:
function __construct(


-----------------------

Open /modules/Comments/NewsForm.php

find:

php Code:
function RNComm_NewsForm(

replace it with:

php Code:
function __construct(


find:

php Code:
parent::RNComm_FormBase(

replace it with:

php Code:
parent::__construct(



-----------------------

Open /modules/Comments/ReviewsForm.php

find:

php Code:
function RNComm_ReviewsForm(

replace it with:

php Code:
function __construct(


find:

php Code:
parent::RNComm_FormBase(

replace it with:

php Code:
parent::__construct(


-----------------------

Open /modules/Comments/SurveysForm.php

find:

php Code:
function RNComm_SurveysForm(

replace it with:

php Code:
function __construct(


find:

php Code:
parent::RNComm_FormBase(

replace it with:

php Code:
parent::__construct(
 
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9457
Location: Arizona

PostPosted: Sat Dec 09, 2017 4:53 pm Reply with quote

neralex, if you would like further testers, I'd be willing to chip in.

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
neralex
PostPosted: Sun Dec 10, 2017 7:13 am Reply with quote

For sure, PM sent with some details. Thanks.
 
montego
PostPosted: Sun Dec 10, 2017 10:53 am Reply with quote

speedtype
 
neralex
PostPosted: Wed Feb 07, 2018 3:47 pm Reply with quote

I'm very close to the release of the php7.x fix-package for the old stable build RN25x with a lot of fixes, updates and the integration of ckeditor and nukeSPAM by Kguske. I will try to prepare tomorrow an repository on github, which will be published in the next days. This package is already running on ravennuke.com.

PLEASE NOTE: There weren't made new theme/design changes - its an fix-package for your current installations prepared for php7.x and mysql 5.x!
 
neralex
PostPosted: Sun Feb 11, 2018 1:52 pm Reply with quote

I finished the Release Candidate for the latest RavenNuke version 2.5.2 including fixes for all found php7.x and MySQL 5.x issues. This release contains also the integration of nukeWYSIWYG 3.6.3.1 (FCK-Editor was replaced by CK-Editor) and the latest version of nukeSPAM. It contains also the latest versions of jQuery, jQuery-UI and many other included jQuery plugins.

Please note: This release will not more work with some prior versions of PHP 5.x and MySQL 4.x. Supported versions are PHP 5.6.x, PHP7.x and MySQL 5.x. It is tested with PHP 5.6.x, PHP 7.1.14, PHP 7.2.2, PHP 7.2.3 and MySQL 5.6.x and MySQL 5.7.x.

I created an repository on Github, which contains also RN251 in a own release-branch. If you want test the new Release Candidate of RavenNuke version 2.5.2 (not RavenCMS!), then you have to clone/download the master-branch from here: Only registered users can see links on this board! Get registered or login!


Update from RN251 to RN252:

1. After downloading and extracting the files on your local computer you have to do an backup (files and database) of your current installation.

2. After that you have to replace all files from the html-folder. If you want prevent trouble in order to stay clean, then you can rename the folder: /includes/elfinder/ to something else before you are doing the copy-over.

3. Run /INSTALLATION/rndb_upgrade.php in your browser and after you are getting the message that all is fine, then you can remove the folder: /INSTALLATION/ with all including files.

That is it!

Don't forget, this copy-over will remove all your own code-changes on the core-files because this package is based on the RN251 release from 2013. But you can compare it with the old version RN251 because this repository was builded/upgraded on the old version.

The Forums-addon Advanced BBCode Box, which is already in use here on ravenphpscripts, isn't ready for this release! So take care - I have to check it and I guess it will run also in many php7 issues. I will provide an update for that in the next days also on Github.

For everyone who has using my News-Mod for the News-module, I provided also an Github-repository with a new version 1.0.6, which will only work with this new build RN252. The old-version 1.0.5 is also included for comparsion in a own release-branch but it will not more work with the new RN252 release. Only registered users can see links on this board! Get registered or login!


Last edited by neralex on Fri Apr 20, 2018 4:48 pm; edited 3 times in total 
kguske
Site Admin


Joined: Jun 04, 2004
Posts: 6393

PostPosted: Mon Feb 12, 2018 6:03 pm Reply with quote

Thank you, neralex. I look forward to trying it out

_________________
I google, therefore I exist...
Only registered users can see links on this board! Get registered or login!
 
View user's profile Send private message
Nuke8
New Member
New Member


Joined: Feb 20, 2018
Posts: 1

PostPosted: Wed Feb 21, 2018 12:54 pm Reply with quote

Hi All!

I was quite a big PHP-Nuke fan back in the "old days". I'm really happy to see that this project is still alive.

The old PHP-Nuke features - what I really liked - mixed with new functions and ideas. For example, when I saw that the admin page views are excluded from the statistics, I said "Wow! How good thinking that is!"

And now all this comes with PHP7 support, wow, I'm really impressed! Amazing job! Thank you very much for it!
 
View user's profile Send private message
neralex
PostPosted: Tue Feb 27, 2018 2:17 pm Reply with quote

@Nuke8: thank you!

@all: includes/jquery/DataTables/datatables.min.js updated on the github branches: develop and master -- excluded internal editor script in order to prevent a error-message.
 
helidoc
Hangin' Around


Joined: Jul 09, 2006
Posts: 48

PostPosted: Tue Feb 27, 2018 3:19 pm Reply with quote

@neralex Thanks for all the work that you have done to bring php7 support to this. I had 2.51.00 running on a live site with 3.5 million hits and as of this am I was able to apply your patch get it to 2.52.00 and push it live with the work that you have done. Our site has been up for over 10 years on one version of Ravens Distro or another with a 400 user base. I have yet to patch in the News mod in as it seems I have some work to do with that to get it to display correctly in the home page center, but that will be work for me later tomorrow. At least now I have the server running with php7 and it's a stopgap til a bootstrap version gets released. Let me know if you need some alpha / beta testers for that btw I'm currently running Apache 2.4.29 php 7.2.1 and MariaDB 10.2.12 on my localhost (mirroring my hosting service). which is what I tested your patch on. Thanks again
 
View user's profile Send private message
neralex
PostPosted: Tue Feb 27, 2018 3:47 pm Reply with quote

helidoc, wow nice, that it works with MariaDB. Thanks for testing it! Let me know if you are running in issues, I will try to fix it.

The News-Mod is only an extension, which I made some years ago. Its very complex and its not really needed to use it but it comes along with some helpful features. I have only provided this fixed News-Mod version for all, they have it already installed. The new RavenCMS (Bootstrap4 supported) will provide import-features to ugrade it also from this News-Mod. Smile

Anyway I will try to help you to sort it on RN25x.

Everyone here can help me to get it ready and I'm very happy about each response. That was the reason why I shared the github-repo without pushing an final release for RN252 before.

As I posted in the related RavenCMS thread today, I'm currently porting the existing alpha-version from Bootstrap3 to Bootstrap4, which needs more time as expected but I'm working on it on each free time-slot, which I can spend on it.
 
hicuxunicorniobestbuildpc
The Mouse Is Extension Of Arm


Joined: Aug 13, 2009
Posts: 1002
Location: Netherland

PostPosted: Tue Mar 13, 2018 11:24 am Reply with quote

Im getting lots of errors with bbcode.php (Advanced BBCode Box MOD)

modules/Forums/includes/bbcode.php on line 345

Code:
   // [video width=X height=X]Video URL[/video] code..

   $patterns[] = "#\[video width=([0-6]?[0-9]?[0-9]) height=([0-4]?[0-9]?[0-9]):$uid\](.*?)\[/video:$uid\]#si";
   $replacements[] = $bbcode_tpl['video'];
   $text = preg_replace($patterns, $replacements, $text);


line 405 error

Code:


   // [xfirevideo]XFire URL[/xfirevideo] code..
   $patterns[] = "#\[xfirevideo\]http://(?:www\.)?xfire.com/video/([0-9A-Za-z-_]*)[^[]*\[/xfirevideo\]#is";
   $replacements[] = $bbcode_tpl['xfirevideo'];
   

/************************************************************************/
/* ================= STOP Advanced BBCode Box MOD ===================== */
/**************************version RN2.5*********************************/

   $text = preg_replace_callback($patterns, $replacements, $text);
 
View user's profile Send private message Visit poster's website
neralex
PostPosted: Tue Mar 13, 2018 1:20 pm Reply with quote

neralex wrote:
The Forums-addon Advanced BBCode Box, which is already in use here on ravenphpscripts, isn't ready for this release! So take care - I have to check it and I guess it will run also in many php7 issues.


hicuxunicorniobestbuildpc, this modification is not in the core-package and I made a notice for that. When I get some free time, I will provide an update on Github.
 
hicuxunicorniobestbuildpc
PostPosted: Tue Mar 13, 2018 1:56 pm Reply with quote

Thanks in advance. It is creating lots of errors.
 
neralex
PostPosted: Tue Mar 13, 2018 3:38 pm Reply with quote

Without to know which errors you got - one question:

Did you copy-over the old bbcode.php from your backup into the new package? If yes, then it will not work because in this file were made some changes for PHP7, which were pointed in this thread. So you have to add all needed edits for this modification manually. The pre-edited files (bbcode.php, posting.php) are deprecated. But located also some issues in the edits. Can you post some error-messages, please?

mircosoft
 
Dawg
RavenNuke(tm) Development Team


Joined: Nov 07, 2003
Posts: 921

PostPosted: Wed Mar 14, 2018 2:11 pm Reply with quote

I got it all working except the displaying the messages in the thread itself. I have no doubt that it is the preg_replace function that is screwing it. Other than that....It seems to working as expected.

Dawg

_________________
Give a man code and you solve one problem. Teach him to write his own code and you solve many problems. 
View user's profile Send private message
neralex
PostPosted: Wed Mar 14, 2018 3:37 pm Reply with quote

Dawg, yes you are right. I'm trying to find a way to solve it with a preg_replace_callback function.
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RavenNuke(tm) v2.5x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©